<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 * Автор yadalay
 */

if (isset($_POST['close'])) {
    $reason = mysql_real_escape_string(trim($_POST['reason']));
    $cause = ($reason == NULL) ? '' . lang('неизвестна') . '.' : '' . toOutput($reason);
    $reason = "" . lang('Тему') . " " . ($user['sex'] ? '' . lang('закрыл') . '' : '' . lang('закрыла') . '') . " $user[nick]<br />" . lang('Причина') . ": " . $cause;

    if (mb_strlen($reason) > 100) {
        echo "<div class='alert alert-danger'>" . lang('Слишком длинная причина. Максимум 100 символов') . ".</div>";
    } else {
        $msg_sys = "[url=/info.php?id=$user[id]]$user[nick][/url] " . ($user['sex'] ? '' . lang('закрыл') . '' : '' . lang('закрыла') . '') . " " . lang('тему. Причина указана выше') . ".";

        mysql_query('INSERT INTO `forum_posts` SET `id_theme` = ' . $theme->id . ', `id_user` = "0", `id_admin` = "0", `text` = "' . mysql_real_escape_string($msg_sys) . '", `time` = ' . $time);
        mysql_query('UPDATE `forum_themes` SET `reason_close` = "' . mysql_real_escape_string(trim($reason)) . '" WHERE `id` = ' . $theme->id);

        header('Location: ' . DIR_FORUM . $forum->id . '/' . $razdel->id . '/' . $theme->id . '.html');
        exit;
    }
} else {

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "'>" . lang('Форум') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "$forum->id/'>" . toOutput(cutStr($forum->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "$forum->id/$razdel->id/'>" . toOutput(cutStr($razdel->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "$forum->id/$razdel->id/$theme->id.html'>" . toOutput(cutStr($theme->name, 30)) . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Закрытие темы');
    echo "</small></div><br />";

    echo "<form class='list-group-item-null' action='" . DIR_FORUM . "$forum->id/$razdel->id/$theme->id/close_theme.html' method='post'>";
    $doc->Textarea('reason', 'Укажите причину');
    echo "<br />";
    $doc->Button('btn btn-primary btn-sm', 'close', 'lock', 'Закрыть тему');

    echo "</form>";

    require_once H . 'sys/inc/tfoot.php';
    exit;
}
